Bug 608556 - tape tests failed
tape tests failed
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
chen yuwen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 01:46 EDT by CAI Qian
Modified: 2010-09-21 05:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
During the tape test, the tar utility is now correctly run with the "-P" option.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results.xml for rhel6-x86_64 (8.31 MB, text/xml)
2010-08-19 05:19 EDT, qcui
no flags Details
output.log for RHEL6 x86_64 (8.30 MB, application/octet-stream)
2010-08-19 05:21 EDT, qcui
no flags Details
results.xml for rhel6-i386 (19.57 KB, text/xml)
2010-08-19 05:25 EDT, qcui
no flags Details
output.log for RHEL6 i386 (10.10 MB, application/octet-stream)
2010-08-19 05:27 EDT, qcui
no flags Details
tape test patch adding -P to tar command for comparison (633 bytes, patch)
2010-08-20 13:22 EDT, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 03:59:09 EDT

  None (edit)
Description CAI Qian 2010-06-28 01:46:10 EDT
Description of problem:
Tape tests failed on a T400 laptop installed rhel6.

# v7 run -t tape -b high
loaded results /var/v7/results.xml
searching for Test classes in /usr/share/v7/tests...
checking file pccard.py
thing: DeviceClass
thing: PCCardTest
found a PCCardTest in pccard.py
test pccard run for device: 
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
checking file profiler.py
thing: Command
thing: DeviceClass
thing: ProfilerTest
found a ProfilerTest in profiler.py
test profiler run for device: 
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: fileinput
thing: os
thing: sys
thing: time
checking file expresscard.py
thing: Constants
thing: Device
thing: DeviceClass
thing: ExpressCardTest
found a ExpressCardTest in expresscard.py
test expresscard run for device: 
thing: Hal
thing: Kudzu
thing: ProcDeviceDetector
thing: Test
thing: USBTestBase
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: curses
thing: dbus
thing: os
thing: re
thing: signal
thing: string
thing: sys
thing: tempfile
thing: time
checking file v7_hwlatdetect.py
thing: Constants
thing: DeviceClass
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: duration
thing: os
thing: string
thing: sys
thing: threshold
thing: time
thing: v7HWlatdetect
found a v7HWlatdetect in v7_hwlatdetect.py
test hwlatdetect run for device: 
thing: width
thing: window
checking file fv_memory.py
thing: FvMemoryTest
found a FvMemoryTest in fv_memory.py
test fv_memory run for device: 
thing: FvTest
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: sys
checking file dvd.py
thing: Command
thing: Constants
thing: DVDTest
found a DVDTest in dvd.py
test dvd run for device: 
thing: Device
thing: DeviceClass
thing: FAILED
thing: Hal
thing: OpticalDiskTest
thing: PASSED
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: curses
thing: filecmp
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file video.py
thing: Command
thing: DeviceClass
thing: FAILED
thing: PASSED
thing: Test
thing: V7CommandException
thing: VideoTest
found a VideoTest in video.py
test video run for device: pci.device_subclass == 0  and  pci.device_class == 3 
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: os
thing: shutil
thing: string
thing: sys
checking file battery.py
thing: BatteryTest
found a BatteryTest in battery.py
test battery run for device: 
thing: Constants
thing: DeviceClass
thing: Hal
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file reboot.py
thing: Command
thing: Constants
thing: Controller
thing: DeviceClass
thing: DocumentWrapper
thing: Environment
thing: RebootTest
found a RebootTest in reboot.py
test reboot run for device: 
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: string
thing: sys
thing: syslog
thing: time
checking file core.py
thing: CoreTest
found a CoreTest in core.py
test core run for device: 
thing: DeviceClass
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
checking file fv_core.py
thing: FvCoreTest
found a FvCoreTest in fv_core.py
test fv_core run for device: 
thing: FvTest
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: sys
checking file memory.py
thing: Command
thing: Constants
thing: DeviceClass
thing: Hal
thing: MemoryTest
found a MemoryTest in memory.py
test memory run for device: info.product == 'Computer' 
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: re
thing: signal
thing: string
thing: sys
thing: tempfile
thing: time
checking file cdrom.py
thing: CDRomTest
found a CDRomTest in cdrom.py
test cdrom run for device: 
thing: Command
thing: Constants
thing: Device
thing: DeviceClass
thing: FAILED
thing: Hal
thing: OpticalDiskTest
thing: PASSED
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: curses
thing: filecmp
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file tape.py
thing: Command
thing: DeviceClass
thing: Hal
thing: TapeTest
found a TapeTest in tape.py
test tape run for device: 
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: os
thing: string
thing: sys
checking file cpuscaling.py
thing: CPUScalingTest
found a CPUScalingTest in cpuscaling.py
test cpuscaling run for device: 
thing: Command
thing: Constants
thing: Device
thing: DeviceClass
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: dbus
thing: decimal
thing: os
thing: re
thing: string
thing: sys
thing: time
checking file fv_network.py
thing: FvNetworkTest
found a FvNetworkTest in fv_network.py
test fv_network run for device: 
thing: FvTest
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: sys
checking file usb.py
thing: Constants
thing: Device
thing: Hal
thing: ProcDeviceDetector
thing: Test
thing: USBTest
found a USBTest in usb.py
test usb run for device: info.product == 'Computer' and not smbios.bios.vendor == 'Xen'
thing: USBTestBase
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: dbus
thing: os
thing: re
thing: signal
thing: string
thing: sys
thing: tempfile
thing: time
checking file storage.py
thing: Command
thing: DeviceClass
thing: StorageTest
found a StorageTest in storage.py
test storage run for device: 
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: os
thing: random
thing: string
thing: sys
thing: types
checking file network.py
thing: Command
thing: Constants
thing: DeviceClass
thing: Environment
thing: FAILED
thing: Hal
thing: Kudzu
thing: NetworkTest
found a NetworkTest in network.py
test network run for device: 'net'  in info.capabilities
thing: PASSED
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: re
thing: signal
thing: string
thing: sys
thing: tempfile
thing: time
checking file info.py
thing: Command
thing: Constants
thing: DeviceClass
thing: InfoTest
Tested OS: Red Hat Enterprise Linux 6 (Santiago)
Kernel RPM: kernel-2.6.32-37.el6
v7 version 1.2, release 7
found a InfoTest in info.py
test info run for device: 
thing: RedHatRelease
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: re
thing: shutil
thing: string
thing: sys
thing: unit_test
thing: v7
checking file suspend.py
thing: Constants
thing: Controller
thing: DeviceClass
thing: Hal
thing: SuspendTest
found a SuspendTest in suspend.py
test suspend run for device: 
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: shutil
thing: string
thing: sys
thing: syslog
thing: time
checking file fv_storage.py
thing: FvStorageTest
found a FvStorageTest in fv_storage.py
test fv_storage run for device: 
thing: FvTest
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: sys
checking file audio.py
thing: AudioTest
found a AudioTest in audio.py
test audio run for device: 
thing: Constants
thing: DeviceClass
thing: Hal
thing: RedHatRelease
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file bluray.py
thing: BluRayTest
found a BluRayTest in bluray.py
test bluray run for device: 
thing: Command
thing: Constants
thing: Device
thing: DeviceClass
thing: FAILED
thing: Hal
thing: OpticalDiskTest
thing: PASSED
thing: Test
thing: V7CommandException
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: curses
thing: filecmp
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file lid.py
thing: Constants
thing: DeviceClass
thing: Hal
thing: LidTest
found a LidTest in lid.py
test lid run for device: 
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: shutil
thing: string
thing: sys
thing: time
checking file v7_rteval.py
thing: Constants
thing: DeviceClass
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: os
thing: string
thing: sys
thing: time
thing: v7RTeval
found a v7RTeval in v7_rteval.py
test rteval run for device: 
checking file floppy.py
thing: Constants
thing: DeviceClass
thing: FloppyTest
found a FloppyTest in floppy.py
test floppy run for device: 
thing: Test
thing: __builtins__
thing: __doc__
thing: __file__
thing: __name__
thing: __package__
thing: commands
thing: filecmp
thing: os
thing: string
thing: sys
...Done.
Planning test pccard
   planned 1 tests
Planning test profiler
   planned 1 tests
Planning test expresscard
Planning test hwlatdetect
Planning test fv_memory
   planned 1 tests
Planning test dvd
   planned 1 tests
Planning test video
   planned 1 tests
Planning test battery
   planned 1 tests
Planning test reboot
   planned 1 tests
Planning test core
   planned 1 tests
Planning test fv_core
   planned 1 tests
Planning test memory
   planned 1 tests
Planning test cdrom
   planned 1 tests
Planning test tape
   planned 1 tests
Planning test cpuscaling
   planned 2 tests
Planning test fv_network
   planned 1 tests
Planning test usb
   planned 1 tests
Planning test storage
   planned 1 tests
Planning test network
   planned 2 tests
Planning test info
   planned 1 tests
Planning test suspend
   planned 1 tests
Planning test fv_storage
   planned 1 tests
Planning test audio
   planned 1 tests
Planning test bluray
Planning test lid
   planned 1 tests
Planning test rteval
Planning test floppy
After Sorting:
suspend
dvd
battery
cdrom
tape
usb
audio
lid
network
network
memory
pccard
profiler
fv_memory
video
core
fv_core
cpuscaling
cpuscaling
fv_network
storage
fv_storage
info
reboot
---
saved test plan to /var/v7/results.xml

Running tape:
---------------------------------
tape                  usb_device_3f0_225_4855318311484A55_if0_scsi_host_0_scsi_device_lun0 

running tape on /org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_0_scsi_device_lun0
Getting devices from kudzu
sh: kudzu: command not found
mkdir -p /tmp/v7-tape-yTICWe/mnt/tests/V7/v7/tape
cp -a testinfo.desc runtest.sh tape.py Makefile /tmp/v7-tape-yTICWe/mnt/tests/V7/v7/tape
install -m 0755 runtest.sh /tmp/v7-tape-yTICWe/mnt/tests/V7/v7/tape
HardwareTestHarness.runTest:
    test directory /tmp/v7-tape-yTICWe/mnt/tests/V7/v7/tape  udi /org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_0_scsi_device_lun0 outputFile /var/log/v7/runs/1/tape/output.log 
make OUTPUTFILE=/var/log/v7/runs/1/tape/output.log RUNMODE=normal UDI=/org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_0_scsi_device_lun0 DEVICE= TESTSERVER=unknown run
chmod a+x ./runtest.sh ./tape.py
./runtest.sh
/tmp/v7-tape-yTICWe/mnt/tests/V7/v7/tape/tape.py
<output>
Running ./tape.py:
tar: Removing leading `/' from member names
tar: usr: Warning: Cannot stat: No such file or directory
tar: usr/bin: Warning: Cannot stat: No such file or directory
tar: usr/bin/vim: Warning: Cannot stat: No such file or directory
tar: usr/bin/a2p: Warning: Cannot stat: No such file or directory
tar: usr/bin/cpp: Warning: Cannot stat: No such file or directory
tar: usr/bin/pinky: Warning: Cannot stat: No such file or directory
tar: usr/bin/mcopy: Warning: Cannot readlink: No such file or directory
tar: usr/bin/sadf: Warning: Cannot stat: No such file or directory
...
tar: usr/lib/rpm/rpmdb_deadlock: Warning: Cannot readlink: No such file or directory
tar: usr/lib/rpm/rpmdiff: Warning: Cannot stat: No such file or directory
tar: usr/lib/rpm/rpmdiff.cgi: Warning: Cannot stat: No such file or directory
tar: usr/lib/games: Warning: Cannot stat: No such file or directory
tar: usr/lib/lsb: Warning: Cannot stat: No such file or directory
tar: usr/lib/lsb/remove_initd: Warning: Cannot readlink: No such file or directory
tar: usr/lib/lsb/install_initd: Warning: Cannot readlink: No such file or directory
tar: usr/lib/locale: Warning: Cannot stat: No such file or directory
tar: usr/lib/locale/locale-archive.tmpl: Warning: Cannot stat: No such file or directory
tar: usr/lib/locale/locale-archive: Warning: Cannot stat: No such file or directory
Using UDI to find the correct device name .
Testing tape device st0
Write data done. Start comparing ...
Error: Data comparison failed !
...finished running ./tape.py, exit code=1
</output>
recovered exit code=1
v7-report-result /V7/v7/tape FAIL /var/log/v7/runs/3/tape/output.log 
...Done: return value = 0.
copying attachments...
checking directory /tmp/v7-tape-sm3Avi/mnt/tests/V7/v7/tape 
Skipping runtest.sh
Skipping test-result.xml
Skipping testinfo.desc
Skipping tape.py
Skipping Makefile
saved to /var/v7/results.xml
saveOutput: /var/log/v7/runs/3/tape/output.log
Return value was 0

Version-Release number of selected component (if applicable):
v7-1.2-7.el6.noarch
RHEL6.0-20100622.1 tree

How reproducible:
always

Steps to Reproduce:
1. connect HP StorageWorks DAT 160 USB with either 72G or 160G tape disk inside
2. v7 run -t tape -b high
  
Actual results:
Failed with huge number of errors.

Expected results:
Passed.
Comment 1 CAI Qian 2010-06-28 03:51:16 EDT
RHEL5.5 + v7 1.2 has no such problem,

Running tape:
---------------------------------
tape                  usb_device_3f0_225_4855318311484A55_if0_scsi_host_scsi_device_lun0 

running tape on /org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_scsi_device_lun0
Getting devices from kudzu
mkdir -p /tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape
cp -a testinfo.desc runtest.sh tape.py Makefile /tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape
install -m 0755 runtest.sh /tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape
HardwareTestHarness.runTest:
    test directory /tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape  udi /org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_scsi_device_lun0 outputFile /var/log/v7/runs/1/tape/output.log 
make OUTPUTFILE=/var/log/v7/runs/1/tape/output.log RUNMODE=normal UDI=/org/freedesktop/Hal/devices/usb_device_3f0_225_4855318311484A55_if0_scsi_host_scsi_device_lun0 DEVICE= TESTSERVER=unknown run
chmod a+x ./runtest.sh ./tape.py
./runtest.sh
/tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape/tape.py
<output>
Running ./tape.py:
Using UDI to find the correct device name .
Testing tape device st0
Write data done. Start comparing ...
Tape test on device st0 passed.
...finished running ./tape.py, exit code=0
</output>
recovered exit code=0
v7-report-result /V7/v7/tape PASS /var/log/v7/runs/1/tape/output.log 
...Done: return value = 0.
copying attachments...
checking directory /tmp/v7-tape-5BkVK6/mnt/tests/V7/v7/tape 
Skipping testinfo.desc
Skipping Makefile
Skipping tape.py
Skipping runtest.sh
Skipping test-result.xml
saved to /var/v7/results.xml
saveOutput: /var/log/v7/runs/1/tape/output.log
Return value was 0
Comment 2 Greg Nichols 2010-08-16 14:12:38 EDT
Was the system in use while the test was running?  This looks to me like a legitimate comparison failure between the state of /usr when the tape was written, vs. when it was compared.

Could you re-run the test to see if it's reproducable?
Comment 3 qcui 2010-08-17 22:12:26 EDT
I reproduced this failure on RHEL6 x86_64 and RHEL6 i386 with v7-1.2-16. The errors are as above. But the tests on RHEL5.5 x86_64 and RHEL5.5 i386 are still passed.
Comment 4 Greg Nichols 2010-08-18 09:08:49 EDT
Which errors are the same?    Could you attach the results from the latest test (/var/v7/results.xml)?
Comment 5 qcui 2010-08-19 05:19:47 EDT
Created attachment 439628 [details]
results.xml for rhel6-x86_64
Comment 6 qcui 2010-08-19 05:21:58 EDT
Created attachment 439629 [details]
output.log for RHEL6 x86_64
Comment 7 qcui 2010-08-19 05:25:16 EDT
Created attachment 439631 [details]
results.xml for rhel6-i386
Comment 8 qcui 2010-08-19 05:27:33 EDT
Created attachment 439632 [details]
output.log for RHEL6 i386
Comment 9 Greg Nichols 2010-08-20 13:20:42 EDT
It looks as though tar needs the -P for the comparison on RHEL6 so that it doesn't stript the leading "/".

tar -Pdb 64 -f /dev/st0 /usr
Comment 10 Greg Nichols 2010-08-20 13:22:06 EDT
Created attachment 439996 [details]
tape test patch adding -P to tar command for comparison
Comment 13 chen yuwen 2010-09-14 02:46:08 EDT
Reproduced in v7-1.2-7 and verified in v7-1.2-25.
Comment 15 errata-xmlrpc 2010-09-20 08:14:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 16 Jaromir Hradilek 2010-09-21 05:11:05 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
During the tape test, the tar utility is now correctly run with the "-P" option.

Note You need to log in before you can comment on or make changes to this bug.